Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 590456 - Broken login widget with gdm-2.30.2 when "disable_user_list" set to "true"
Broken login widget with gdm-2.30.2 when "disable_user_list" set to "true"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Triaged
: 589240 591245 596010 597419 603392 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-09 12:20 EDT by Christoph Trassl
Modified: 2011-07-04 00:50 EDT (History)
26 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:12:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Broken login widget on F-13 w/ gdm-2.30.2-1.fc13 (958.01 KB, image/png)
2010-05-09 12:20 EDT, Christoph Trassl
no flags Details
proposed fix (1.12 KB, patch)
2010-08-04 14:11 EDT, Tom Killian
no flags Details | Diff
Fix for disable_user_list == true (5.31 KB, patch)
2010-09-07 00:33 EDT, Christoph Trassl
no flags Details | Diff

  None (edit)
Description Christoph Trassl 2010-05-09 12:20:45 EDT
Created attachment 412658 [details]
Broken login widget on F-13 w/ gdm-2.30.2-1.fc13

Description of problem:
The gdm login widget (gdm-2.30.2) is broken when one has chosen to disable the user list.


Version-Release number of selected component (if applicable):
gdm-2.30.2-1.fc13


How reproducible:
Disable user list browser via sudo /usr/bin/gconftool-2 --set --type bool --config-source xml:merged:/etc/gconf/gconf.xml.defaults /apps/gdm/simple-greeter/disable_user_list true and reboot or restart gdm.


Steps to Reproduce:
1. sudo /usr/bin/gconftool-2 --set --type bool --config-source xml:merged:/etc/gconf/gconf.xml.defaults /apps/gdm/simple-greeter/disable_user_list true
2. reboot or restart gdm

  
Actual results:
Login widget is broken, see attached screenshot.


Expected results:
Working login widget.


Additional info:
This has been verified with a brand new f-13 install w/ all released updates as of May 9th 2010.
Comment 1 Henrique Martins 2010-05-30 16:06:51 EDT
*** Bug 596010 has been marked as a duplicate of this bug. ***
Comment 2 Dominick Grift 2010-06-03 16:47:35 EDT
*** Bug 589240 has been marked as a duplicate of this bug. ***
Comment 3 Sergio Pascual 2010-06-12 05:58:05 EDT
*** Bug 591245 has been marked as a duplicate of this bug. ***
Comment 4 Tajidin Abdullah 2010-08-02 05:45:51 EDT
This bug has been triaged



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Tajidin Abdullah 2010-08-02 05:47:14 EDT
*** Bug 597419 has been marked as a duplicate of this bug. ***
Comment 6 Tajidin Abdullah 2010-08-02 05:48:28 EDT
*** Bug 603392 has been marked as a duplicate of this bug. ***
Comment 7 Tom Killian 2010-08-04 14:11:33 EDT
Created attachment 436618 [details]
proposed fix

Here is a simple fix.  Briefly, gdm-greeter-login-window.c is modified to always assume that "disable_user_list" is false.  Existing code in gdm-user-chooser-widget.c tests "disable_user_list" independently, and renders the widget properly in any case.
Comment 8 John Griffiths 2010-09-02 04:01:23 EDT
Using gconf-editor to set "disable_user_list" to true does not break the login for me but it does not disable the user list for me.

Could not disable the user list in simple-greeter in F12. F11, and F10 either. Long time for a bug like this to be around.

The solution was to use the KDE login manager. http://fedoraproject.org/wiki/KDE
Comment 9 JC 2010-09-02 09:55:40 EDT
Actually, the setting does work correctly in Fedora 12.  What does NOT work in Fedora 12 is the utility which is supposed to make the change.

So, in Fedora 12, if you just edit the target XML file (I do not recall the filename) manually and change the "disable_user_list" item to true, you will see that GDM no longer displays the user list in the login dialog.

In contrast, doing the above procedure in Fedora 13 results (as described in the original text of this bug report) in a one pixel wide login dialog, which is obviously unusable.
Comment 10 John Heidemann 2010-09-02 13:05:49 EDT
Wrt comment #9, yes it works in F12 and fails in F13.  This bug is filed against F13.

Wrt comment #7, is it feasible for someone to push that into rawhide so it's easier to test?
Comment 11 Alex 2010-09-05 19:25:05 EDT
I noticed the following, trying to set disable_user_list to true:
after drawing 1pixel width login window the system generates a lot (about 300) processes
pam: gdm-password
pam: gdm-fingerprint
This takes some time (you can trace this from console login via root, i.e. activated by ctrl-alt-f2, by issuing 'ps -Af|grep gdm')
During this the 1-pixel width window blinks
After this a process like gdm-crash-logger appears in the list.
After this the crash logger disappears and login window stops blinking.
If you manage to position the mouse over it - you see the 'busy' mouse pointer.

Does this give nay clue?

I'm using F13 the latest kernel up to date (as well as everything else strongly updated)
Comment 12 Alex 2010-09-05 19:29:09 EDT
Yes, these pam-processes are born by /usr/libexec/gdm-simple-slave. And - I have NO any fingerprint capabilities attached.
And to fix the misprint: I meant "Does this give 'ANY' clue?"
Comment 13 Christoph Trassl 2010-09-07 00:33:59 EDT
Created attachment 443397 [details]
Fix for disable_user_list == true

The problem: the shortcut to directly start pam-conversation in gdm-2.30.2 when disable_user_list == true.

Here is a/the patch that restores the correct behaviour when disable_user_list == true. Developed and tested against gdm-2.30.2-fc13.

Anybody volunteering to test this against F-14/rawhide and helping me getting this fixed as soon as possible?

While not fixed, editing /etc/gdm/custom.conf and setting Exclude=... in [greeter] may be helpful.
Comment 14 Michael Young 2010-09-08 12:09:25 EDT
(In reply to comment #13)
> Anybody volunteering to test this against F-14/rawhide and helping me getting
> this fixed as soon as possible?
F14 may not have the bug anyway. I updated an F13 test machine to F14 gdm-2.31.90-4.fc14 and I get a username and password box despite having disable_user_list=true.
Comment 15 Ian Collier 2010-10-13 07:09:36 EDT
I developed a patch almost identical to the one in comment 13 in early August and it's been installed on all our F13 machines so far.  Good news is that we get a login box.  Bad news is that it suffers quite badly from bug 521833 (and when there's no username box there is also no cancel button so if the user doesn't know to press the Escape key they are stuck).

With reference to comment 14: looking at the source code for gdm-2.32.0-1.fc14 I agree that it probably doesn't have the current bug, and experiment confirms that installing it on a F13 machine fixes the problem.  (I can't yet speak for bug 521833 but time will tell.)
Comment 16 Jon Dowland 2010-11-15 12:38:17 EST
We hit this with F13 and ended up having to use KDM.  The problem with that is switching users does not work for logged in GNOME sessions.

2.30.2 / 1.fc13 is a version that suffers this for me.

2.32.0 / 1.fc14 does not suffer this bug.  I have successfully installed F14's GDM on two separate F13 machines to confirm.
Comment 17 Christoph Trassl 2010-11-28 14:33:34 EST
It is like Michael, Ian and Jon said: gdm-2.30.2 .fc13 was broken, gdm-2.32.0 .fc14 is not.

As i do not care any more (I do not have any Fedora 13 desktop machines left) feel free to close this bug with 'wontfix'.
Comment 18 Bug Zapper 2011-06-02 10:18:09 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Edgar Hoch 2011-06-02 10:27:51 EDT
(In reply to comment #17)
> It is like Michael, Ian and Jon said: gdm-2.30.2 .fc13 was broken, gdm-2.32.0
> .fc14 is not.
> 
> As i do not care any more (I do not have any Fedora 13 desktop machines left)
> feel free to close this bug with 'wontfix'.

I think this bug can be closed because it works with Fedora 14 (at least - I have not tested it with Fedora 13 again).
Comment 20 Fedora Admin XMLRPC Client 2011-06-21 11:36:54 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 21 Fedora Admin XMLRPC Client 2011-06-21 11:39:11 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 22 Fedora Admin XMLRPC Client 2011-06-21 11:40:53 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 23 Fedora Admin XMLRPC Client 2011-06-21 11:43:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 24 Fedora Admin XMLRPC Client 2011-06-21 11:53:14 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 25 Fedora Admin XMLRPC Client 2011-06-21 11:56:07 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 26 Fedora Admin XMLRPC Client 2011-06-21 11:58:42 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 27 Fedora Admin XMLRPC Client 2011-06-21 11:59:59 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 28 Bug Zapper 2011-06-27 12:12:36 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.